from core.core05_persistent_model.policy.session import get_session
from core.core10_parsing.cli.registry import register_simple_parsing
from core.core31_policy.entrypoint.entrypoint import defaul_cli_init

from utils.download import download_data


arguments = [
    (['--dl-source', '-dls'], {'help': 'Remote source file path to download'}),
]

def execute_from_parsed(parsed):
    with get_session():
        download_data(parsed.dl_source)

register_simple_parsing('download', arguments=arguments, callback_after_parsing=execute_from_parsed)


if __name__ == '__main__':
    defaul_cli_init()

    # from core.core02_model.typed.file import FileContent

    # content = FileContent(content=b'test upload')
    #
    # with get_session() as session:
    #     download_data('C:\\Users\\Emerald\\CV.png')
    #     download_data('C:\\Users\\Emerald\\summer-vacation1.png')
    #     download_data('C:\\Users\\Emerald\\summer-vacation2.png')
    #     download_data('C:\\Users\\Emerald\\Voice-Note-001.mp3')

        #download_data('C:\\Windows\\System32\\ntoskrnl.exe')
        #upload_data(content, filename='test.txt')
