from core.core00_core_model.mixin.base_mixin import BaseMixinsNoJoin
from core.core00_core_model.concept.timed import CreatedAt

from .with_context import WithContext

from sqlalchemy.orm import mapped_column, Mapped
from sqlalchemy import Integer, Text


class Event(*BaseMixinsNoJoin, WithContext, CreatedAt):

    __tablename__ = 'event'

    id: Mapped[int] = mapped_column(Integer, primary_key=True)
    type: Mapped[str] = mapped_column(Text)
    value: Mapped[int] = mapped_column(Integer)
